Summary: Subversion for SME Server
%define name smeserver-subversion
Name: %{name}
%define version 1.3
%define release 5
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Patch0: %{name}-%{version}-SVNAutoVersioning.patch
Patch1: %{name}-%{version}-FixTranslations.patch
Patch2: %{name}-%{version}-FixTranslations-en-us.patch
Patch3: %{name}-%{version}-FixTranslations-sv.patch
Patch4: %{name}-%{version}-AddLocale-de.patch
Patch5: %{name}-%{version}-AddLocale-it.patch
Group: Applications/Internet
Source: %{name}-%{version}.tgz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: smeserver-mod_dav subversion >= 1.2 smeserver-release >= 7 mod_dav_svn httpd >= 2
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
Implementation of Subversion for SME Server 7 using WebDAV.

%changelog
* Sat Jan 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.3-5
- Added italian (it) locale [SME: 3812]

* Sat Jan 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.3-4
- Added german (de) locale [SME: 3813]

* Sat Jan 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.3-3
- DESCRIPTION_HAS_INVALID_CHARS is not translated in en-us locale [SME: 3694]
- Fixed missing translations for available locale created by 
  features implemented by 1.3-2 [SME: 3811]

* Fri Jan 25 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.3-2
- Allow auto-versioning by DAV clients (requires subversion >= 1.2) [SME: 3806]

* Tue Dec 25 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-9
  fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=3008
  Description doesn't allow characters with accents [SME: 3008]

* Mon Aug 6 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-8
  fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=3079
  UUID equal in all repositories [SME: 3079]

* Mon Aug 6 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-7
  fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=3034
  Added new French translation due to incorrect encoding [SME: 3034]

* Tue Jun 12 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-6
  fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=3034
  Added French translation of server-manager panel [SME: 3034]

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Sun Feb 18 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-4
  fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=2435
  Added Swedish translation of server-manager panel [SME: 2435]

* Tue Feb 13 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-3
- changed wrongly modified symlink created in 1.2-2

* Mon Feb 12 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-2
- removed symlink from archive and moved it to createlinks script
- fixed bug: http://www.contribs.org/bugzilla/show_bug.cgi?id=2435
  implemented the ability to localise the link in the navigation 
  panel of the server-manager [SME: 2435]

* Tue Feb 06 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-1
- imported changelog from previous revisions and ordered them by date
- made packager generic for possible inclusion in SME Server Extras
- renamed spec file to enable automatic build to 
  smeserver-subversion.spec, removed older spec files with 
  version number in their name
- modified mailaddress to be smeserver-contribs@snetram.nl
- fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=2169
  Added httpd.conf to templates2expand and services2adjust for
  the user-create, user-modify and group-modify event
- fixed bug: http://www.contribs.org/bugzilla/show_bug.cgi?id=2205
  Removed NEXT button from first server-manager panel

* Sat Dec 09 2006 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.1-3
- fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=2073
  wrong split of database entries for groups and users when 
  multiple users or groups where specified in 28SubversionContent
  httpd.conf template file
- fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=1953
  Authentication doesn't appear to work for groups, implemented 
  workaround to expand all users in groups and adding them to
  the require user line
- fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=2138
  Remove unnecesarry double quotes around user and groups in 
  httpd.conf template 28SubversionContent.

* Sun Sep 18 2006 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.0-5
- fixed bug: http://www.contribs.org/bugzilla/show_bug.cgi?id=1915
  missing entry for maxRepositoryNameLength in database
- fixed bug: http://www.contribs.org/bugzilla/show_bug.cgi?id=1916
  corrected typo in createlinks script for httpd-e-smith

* Sun Sep 10 2006 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.0-4
- fixed configuration database entry for modDAVSVN

* Sun Aug 27 2006 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.0-3
- fixed typo

* Sun Aug 27 2006 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.0-2
- fixed: enable subversion by default after install

* Sun Aug 27 2006 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.0-1
- complete rebuild of the package 
- fixed: /home/e-smith/files/repository is now created
- fixed: typo in english template files

* Mon May 29 2006 Jonathan Martens <smeserver-contribs@snetram.nl>
- 0.1-01
- Original version

%prep
rm -rf root/etc/e-smith/web/panels
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
perl createlinks

DEFAULTS=root/etc/e-smith/db/configuration/defaults/modDAVSVN
mkdir -p $DEFAULTS

echo "service"  > $DEFAULTS/type
echo "enabled"  > $DEFAULTS/status

DEFAULTS=root/etc/e-smith/db/configuration/defaults/maxRepositoryNameLength
mkdir -p $DEFAULTS

echo "31"  > $DEFAULTS/type

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%pre
true

%post
if [ "$1" = "1" ] ; then  # first install
  # Expand the server-manager templates to add
  # references to the smeserver-subversion panel
  /sbin/e-smith/db configuration set modDAVSVN service status enabled
  /sbin/e-smith/db configuration set maxRepositoryNameLength 31
  /sbin/e-smith/signal-event subversion-modify
  echo "Rebuilding server-manager (this can take a while) ..."
  /etc/e-smith/events/actions/navigation-conf >/dev/null 2>&1
fi
true

%preun
if [ "$1" = "0" ] ; then # last uninstall
  /sbin/e-smith/db configuration setprop modDAVSVN status disabled
  /sbin/e-smith/signal-event subversion-delete
  /sbin/e-smith/signal-event subversion-modify
fi
true

%postun
# Expand the server-manager templates to update/remove
# references to the smeserver-subversion panel
echo "Rebuilding server-manager (this can take a while) ..."
/etc/e-smith/events/actions/navigation-conf >/dev/null 2>&1
true

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
